/* Copyright 2014 Red Hat, Inc.
 *
 * This software is licensed to you under the GNU General Public
 * License as published by the Free Software Foundation; either version
 * 2 of the License (GPLv2) or (at your option) any later version.
 * There is NO WARRANTY for this software, express or implied,
 * including the implied warranties of MERCHANTABILITY,
 * NON-INFRINGEMENT, or FITNESS FOR A PARTICULAR PURPOSE. You should
 * have received a copy of GPLv2 along with this software; if not, see
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
 */

//= require "bastion/underscore/underscore"

//= require "bastion/angular/angular"
//= require "bastion/angular-resource/angular-resource"
//= require "bastion/angular-sanitize/angular-sanitize"
//= require "bastion/angular-ui-router/angular-ui-router"
//= require "bastion/angular-uuid4/angular-uuid4.js"
//= require "bastion/ngUpload/ng-upload"
//= require "bastion/angular-gettext/angular-gettext"
//= require "bastion/angular-blocks/angular-blocks"
//= require_tree "../../../../vendor/assets/javascripts/bastion/angular-bootstrap"
//= require "bastion/angular-animate/angular-animate"
//= require "bastion/alchemy/alchemy"

//= require "katello/common/katello.global"
//= require "katello/common/bastion-routes"
//= require "katello/common/katello.common"
//= require "katello/common/env_select_scroll"
//= require "katello/widgets/path_selector"

//= require "bastion/bastion.module"
//= require "bastion/bastion-resource.factory"

//= require_tree "./incubator"

//= require "bastion/incubator/format/alch-format.module.js"
//= require "bastion/incubator/format/array-to-string.filter.js"
//= require "bastion/incubator/format/key-value-to-string.filter.js"

//= require "bastion/i18n/i18n.module"
//= require "bastion/i18n/translate.service.js"
//= require "bastion/i18n/translations"

//= require "bastion/auth/auth.module"
//= require_tree "./auth"

//= require "bastion/menu/menu.module"
//= require_tree "./menu"

//= require "bastion/widgets/widgets.module"
//= require_tree "./widgets"

//= require "bastion/utils/utils.module"
//= require_tree "./utils"

//= require "bastion/host-collections/host-collections.module.js"
//= require_tree "./host-collections"

//= require "bastion/content-hosts/content-hosts.module.js"
//= require_tree "./content-hosts"

//= require "bastion/subscriptions/subscriptions.module.js"
//= require_tree "./subscriptions"

//= require "bastion/content-views/versions/content-view-versions.module.js"
//= require_tree "./content-views/versions"

//= require "bastion/content-views/content-views.module"
//= require_tree "./content-views"

//= require "bastion/errata/errata.module"
//= require_tree "./errata"

//= require "bastion/environments/environments.module"
//= require_tree "./environments"

//= require "bastion/capsules/capsules.module.js"
//= require_tree "./capsules"

//= require "bastion/organizations/organizations.module.js"
//= require_tree "./organizations"

//= require "bastion/packages/packages.module.js"
//= require_tree "./packages"

//= require "bastion/products/products.module.js"
//= require_tree "./products"

//= require "bastion/repositories/repositories.module.js"
//= require_tree "./repositories"

//= require "bastion/sync-plans/sync-plans.module.js"
//= require_tree "./sync-plans"

//= require "bastion/tasks/tasks.module.js"
//= require_tree "./tasks"

//= require "bastion/gpg-keys/gpg-keys.module.js"
//= require_tree "./gpg-keys"

//= require "bastion/tasks/tasks.module.js"
//= require_tree "./tasks"

//= require "bastion/custom-info/custom-info.module.js"
//= require_tree "./custom-info"

//= require "bastion/activation-keys/activation-keys.module.js"
//= require_tree "./activation-keys"

//= require "bastion/bastion-bootstrap"
