/*
 * Copyright (c) 2008 Greg Weber greg at gregweber.info
 * Dual licensed under the MIT and GPLv2 licenses just as jQuery is:
 * http://jquery.org/license
 *
 * documentation at http://gregweber.info/projects/uitablefilter
 *
 * allows table rows to be filtered (made invisible)
 * <code>
 * t = $('table')
 * $.uiTableFilter( t, phrase )
 * </code>
 * arguments:
 *   jQuery object containing table rows
 *   phrase to search for
 *   optional arguments:
 *     column to limit search too (the column title in the table header)
 *     ifHidden - callback to execute if one or more elements was hidden
 *
 * If a user has a table where certain rows should not be filtered,
 * simply add a class of 'not_filtered' to those rows and they will
 * be skipped during filtering.
 */
(function($){$.uiTableFilter=function(jq,phrase,column,ifHidden){var new_hidden=!1;if(this.last_phrase===phrase)return!1;var phrase_length=phrase.length,words=phrase.toLowerCase().split(" "),matches=function(elem){elem.show()},noMatch=function(elem){elem.hide(),new_hidden=!0},getText=function(elem){return elem.text()};if(column){var index=null;jq.find("thead > tr:last > th").each(function(i){if($.trim($(this).text())==column)return index=i,!1});if(index==null)throw"given column: "+column+" not found";getText=function(elem){return $(elem.find("td:eq("+index+")")).text()}}if(words.size>1&&phrase.substr(0,phrase_length-1)===this.last_phrase){if(phrase[-1]===" ")return this.last_phrase=phrase,!1;var words=words[-1];matches=function(elem){};var elems=jq.find("tbody:first > tr:visible").not(".not_filtered")}else{new_hidden=!0;var elems=jq.find("tbody:first > tr").not(".not_filtered")}return elems.each(function(){var elem=$(this);$.uiTableFilter.has_words(getText(elem),words,!1)?matches(elem):noMatch(elem)}),last_phrase=phrase,ifHidden&&new_hidden&&ifHidden(),jq},$.uiTableFilter.last_phrase="",$.uiTableFilter.has_words=function(str,words,caseSensitive){var text=caseSensitive?str:str.toLowerCase();for(var i=0;i<words.length;i++)if(text.indexOf(words[i])===-1)return!1;return!0}})(jQuery);var filtertable=function(){return{initialize:function(){var theTable=$("table.filter_table"),filter=$("#filter");filter.live("change, keyup",function(){$.uiTableFilter(theTable,this.value)}),$("#filter_form").submit(function(){return filter.keyup(),!1}).focus(),$(".filter_button").click(function(){filter.change()})}}}();$(document).ready(function(){filtertable.initialize()});