/*! Javascript plotting library for jQuery, v. 0.7.
 *
 * Released under the MIT license by IOLA, December 2007.
 *
 */
// first an inline dependency, jquery.colorhelpers.js, we inline it here
// for convenience
/* Plugin for jQuery for working with colors.
 * 
 * Version 1.1.
 * 
 * Inspiration from jQuery color animation plugin by John Resig.
 *
 * Released under the MIT license by Ole Laursen, October 2009.
 *
 * Examples:
 *
 *   $.color.parse("#fff").scale('rgb', 0.25).add('a', -0.5).toString()
 *   var c = $.color.extract($("#mydiv"), 'background-color');
 *   console.log(c.r, c.g, c.b, c.a);
 *   $.color.make(100, 50, 25, 0.4).toString() // returns "rgba(100,50,25,0.4)"
 *
 * Note that .scale() and .add() return the same modified object
 * instead of making a new one.
 *
 * V. 1.1: Fix error handling so e.g. parsing an empty string does
 * produce a color rather than just crashing.
 */
(function(B){B.color={},B.color.make=function(F,E,C,D){var G={};return G.r=F||0,G.g=E||0,G.b=C||0,G.a=D!=null?D:1,G.add=function(J,I){for(var H=0;H<J.length;++H)G[J.charAt(H)]+=I;return G.normalize()},G.scale=function(J,I){for(var H=0;H<J.length;++H)G[J.charAt(H)]*=I;return G.normalize()},G.toString=function(){return G.a>=1?"rgb("+[G.r,G.g,G.b].join(",")+")":"rgba("+[G.r,G.g,G.b,G.a].join(",")+")"},G.normalize=function(){function H(J,K,I){return K<J?J:K>I?I:K}return G.r=H(0,parseInt(G.r),255),G.g=H(0,parseInt(G.g),255),G.b=H(0,parseInt(G.b),255),G.a=H(0,G.a,1),G},G.clone=function(){return B.color.make(G.r,G.b,G.g,G.a)},G.normalize()},B.color.extract=function(D,C){var E;do{E=D.css(C).toLowerCase();if(E!=""&&E!="transparent")break;D=D.parent()}while(!B.nodeName(D.get(0),"body"));return E=="rgba(0, 0, 0, 0)"&&(E="transparent"),B.color.parse(E)},B.color.parse=function(F){var E,C=B.color.make;if(E=/rgb\(\s*([0-9]{1,3})\s*,\s*([0-9]{1,3})\s*,\s*([0-9]{1,3})\s*\)/.exec(F))return C(parseInt(E[1],10),parseInt(E[2],10),parseInt(E[3],10));if(E=/rgba\(\s*([0-9]{1,3})\s*,\s*([0-9]{1,3})\s*,\s*([0-9]{1,3})\s*,\s*([0-9]+(?:\.[0-9]+)?)\s*\)/.exec(F))return C(parseInt(E[1],10),parseInt(E[2],10),parseInt(E[3],10),parseFloat(E[4]));if(E=/rgb\(\s*([0-9]+(?:\.[0-9]+)?)\%\s*,\s*([0-9]+(?:\.[0-9]+)?)\%\s*,\s*([0-9]+(?:\.[0-9]+)?)\%\s*\)/.exec(F))return C(parseFloat(E[1])*2.55,parseFloat(E[2])*2.55,parseFloat(E[3])*2.55);if(E=/rgba\(\s*([0-9]+(?:\.[0-9]+)?)\%\s*,\s*([0-9]+(?:\.[0-9]+)?)\%\s*,\s*([0-9]+(?:\.[0-9]+)?)\%\s*,\s*([0-9]+(?:\.[0-9]+)?)\s*\)/.exec(F))return C(parseFloat(E[1])*2.55,parseFloat(E[2])*2.55,parseFloat(E[3])*2.55,parseFloat(E[4]));if(E=/#([a-fA-F0-9]{2})([a-fA-F0-9]{2})([a-fA-F0-9]{2})/.exec(F))return C(parseInt(E[1],16),parseInt(E[2],16),parseInt(E[3],16));if(E=/#([a-fA-F0-9])([a-fA-F0-9])([a-fA-F0-9])/.exec(F))return C(parseInt(E[1]+E[1],16),parseInt(E[2]+E[2],16),parseInt(E[3]+E[3],16));var D=B.trim(F).toLowerCase();return D=="transparent"?C(255,255,255,0):(E=A[D]||[0,0,0],C(E[0],E[1],E[2]))};var A={aqua:[0,255,255],azure:[240,255,255],beige:[245,245,220],black:[0,0,0],blue:[0,0,255],brown:[165,42,42],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgrey:[169,169,169],darkgreen:[0,100,0],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkviolet:[148,0,211],fuchsia:[255,0,255],gold:[255,215,0],green:[0,128,0],indigo:[75,0,130],khaki:[240,230,140],lightblue:[173,216,230],lightcyan:[224,255,255],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightyellow:[255,255,224],lime:[0,255,0],magenta:[255,0,255],maroon:[128,0,0],navy:[0,0,128],olive:[128,128,0],orange:[255,165,0],pink:[255,192,203],purple:[128,0,128],violet:[128,0,128],red:[255,0,0],silver:[192,192,192],white:[255,255,255],yellow:[255,255,0]}})(jQuery),function($){function Plot(placeholder,data_,options_,plugins){function executeHooks(hook,args){args=[plot].concat(args);for(var i=0;i<hook.length;++i)hook[i].apply(this,args)}function initPlugins(){for(var i=0;i<plugins.length;++i){var p=plugins[i];p.init(plot),p.options&&$.extend(!0,options,p.options)}}function parseOptions(opts){var i;$.extend(!0,options,opts),options.xaxis.color==null&&(options.xaxis.color=options.grid.color),options.yaxis.color==null&&(options.yaxis.color=options.grid.color),options.xaxis.tickColor==null&&(options.xaxis.tickColor=options.grid.tickColor),options.yaxis.tickColor==null&&(options.yaxis.tickColor=options.grid.tickColor),options.grid.borderColor==null&&(options.grid.borderColor=options.grid.color),options.grid.tickColor==null&&(options.grid.tickColor=$.color.parse(options.grid.color).scale("a",.22).toString());for(i=0;i<Math.max(1,options.xaxes.length);++i)options.xaxes[i]=$.extend(!0,{},options.xaxis,options.xaxes[i]);for(i=0;i<Math.max(1,options.yaxes.length);++i)options.yaxes[i]=$.extend(!0,{},options.yaxis,options.yaxes[i]);options.xaxis.noTicks&&options.xaxis.ticks==null&&(options.xaxis.ticks=options.xaxis.noTicks),options.yaxis.noTicks&&options.yaxis.ticks==null&&(options.yaxis.ticks=options.yaxis.noTicks),options.x2axis&&(options.xaxes[1]=$.extend(!0,{},options.xaxis,options.x2axis),options.xaxes[1].position="top"),options.y2axis&&(options.yaxes[1]=$.extend(!0,{},options.yaxis,options.y2axis),options.yaxes[1].position="right"),options.grid.coloredAreas&&(options.grid.markings=options.grid.coloredAreas),options.grid.coloredAreasColor&&(options.grid.markingsColor=options.grid.coloredAreasColor),options.lines&&$.extend(!0,options.series.lines,options.lines),options.points&&$.extend(!0,options.series.points,options.points),options.bars&&$.extend(!0,options.series.bars,options.bars),options.shadowSize!=null&&(options.series.shadowSize=options.shadowSize);for(i=0;i<options.xaxes.length;++i)getOrCreateAxis(xaxes,i+1).options=options.xaxes[i];for(i=0;i<options.yaxes.length;++i)getOrCreateAxis(yaxes,i+1).options=options.yaxes[i];for(var n in hooks)options.hooks[n]&&options.hooks[n].length&&(hooks[n]=hooks[n].concat(options.hooks[n]));executeHooks(hooks.processOptions,[options])}function setData(d){series=parseData(d),fillInSeriesOptions(),processData()}function parseData(d){var res=[];for(var i=0;i<d.length;++i){var s=$.extend(!0,{},options.series);d[i].data!=null?(s.data=d[i].data,delete d[i].data,$.extend(!0,s,d[i]),d[i].data=s.data):s.data=d[i],res.push(s)}return res}function axisNumber(obj,coord){var a=obj[coord+"axis"];return typeof a=="object"&&(a=a.n),typeof a!="number"&&(a=1),a}function allAxes(){return $.grep(xaxes.concat(yaxes),function(a){return a})}function canvasToAxisCoords(pos){var res={},i,axis;for(i=0;i<xaxes.length;++i)axis=xaxes[i],axis&&axis.used&&(res["x"+axis.n]=axis.c2p(pos.left));for(i=0;i<yaxes.length;++i)axis=yaxes[i],axis&&axis.used&&(res["y"+axis.n]=axis.c2p(pos.top));return res.x1!==undefined&&(res.x=res.x1),res.y1!==undefined&&(res.y=res.y1),res}function axisToCanvasCoords(pos){var res={},i,axis,key;for(i=0;i<xaxes.length;++i){axis=xaxes[i];if(axis&&axis.used){key="x"+axis.n,pos[key]==null&&axis.n==1&&(key="x");if(pos[key]!=null){res.left=axis.p2c(pos[key]);break}}}for(i=0;i<yaxes.length;++i){axis=yaxes[i];if(axis&&axis.used){key="y"+axis.n,pos[key]==null&&axis.n==1&&(key="y");if(pos[key]!=null){res.top=axis.p2c(pos[key]);break}}}return res}function getOrCreateAxis(axes,number){return axes[number-1]||(axes[number-1]={n:number,direction:axes==xaxes?"x":"y",options:$.extend(!0,{},axes==xaxes?options.xaxis:options.yaxis)}),axes[number-1]}function fillInSeriesOptions(){var i,neededColors=series.length,usedColors=[],assignedColors=[];for(i=0;i<series.length;++i){var sc=series[i].color;sc!=null&&(--neededColors,typeof sc=="number"?assignedColors.push(sc):usedColors.push($.color.parse(series[i].color)))}for(i=0;i<assignedColors.length;++i)neededColors=Math.max(neededColors,assignedColors[i]+1);var colors=[],variation=0;i=0;while(colors.length<neededColors){var c;options.colors.length==i?c=$.color.make(100,100,100):c=$.color.parse(options.colors[i]);var sign=variation%2==1?-1:1;c.scale("rgb",1+sign*Math.ceil(variation/2)*.2),colors.push(c),++i,i>=options.colors.length&&(i=0,++variation)}var colori=0,s;for(i=0;i<series.length;++i){s=series[i],s.color==null?(s.color=colors[colori].toString(),++colori):typeof s.color=="number"&&(s.color=colors[s.color].toString());if(s.lines.show==null){var v,show=!0;for(v in s)if(s[v]&&s[v].show){show=!1;break}show&&(s.lines.show=!0)}s.xaxis=getOrCreateAxis(xaxes,axisNumber(s,"x")),s.yaxis=getOrCreateAxis(yaxes,axisNumber(s,"y"))}}function processData(){function updateAxis(axis,min,max){min<axis.datamin&&min!=-fakeInfinity&&(axis.datamin=min),max>axis.datamax&&max!=fakeInfinity&&(axis.datamax=max)}var topSentry=Number.POSITIVE_INFINITY,bottomSentry=Number.NEGATIVE_INFINITY,fakeInfinity=Number.MAX_VALUE,i,j,k,m,length,s,points,ps,x,y,axis,val,f,p;$.each(allAxes(),function(_,axis){axis.datamin=topSentry,axis.datamax=bottomSentry,axis.used=!1});for(i=0;i<series.length;++i)s=series[i],s.datapoints={points:[]},executeHooks(hooks.processRawData,[s,s.data,s.datapoints]);for(i=0;i<series.length;++i){s=series[i];var data=s.data,format=s.datapoints.format;if(!format){format=[],format.push({x:!0,number:!0,required:!0}),format.push({y:!0,number:!0,required:!0});if(s.bars.show||s.lines.show&&s.lines.fill)format.push({y:!0,number:!0,required:!1,defaultValue:0}),s.bars.horizontal&&(delete format[format.length-1].y,format[format.length-1].x=!0);s.datapoints.format=format}if(s.datapoints.pointsize!=null)continue;s.datapoints.pointsize=format.length,ps=s.datapoints.pointsize,points=s.datapoints.points,insertSteps=s.lines.show&&s.lines.steps,s.xaxis.used=s.yaxis.used=!0;for(j=k=0;j<data.length;++j,k+=ps){p=data[j];var nullify=p==null;if(!nullify)for(m=0;m<ps;++m)val=p[m],f=format[m],f&&(f.number&&val!=null&&(val=+val,isNaN(val)?val=null:val==Infinity?val=fakeInfinity:val==-Infinity&&(val=-fakeInfinity)),val==null&&(f.required&&(nullify=!0),f.defaultValue!=null&&(val=f.defaultValue))),points[k+m]=val;if(nullify)for(m=0;m<ps;++m)val=points[k+m],val!=null&&(f=format[m],f.x&&updateAxis(s.xaxis,val,val),f.y&&updateAxis(s.yaxis,val,val)),points[k+m]=null;else if(insertSteps&&k>0&&points[k-ps]!=null&&points[k-ps]!=points[k]&&points[k-ps+1]!=points[k+1]){for(m=0;m<ps;++m)points[k+ps+m]=points[k+m];points[k+1]=points[k-ps+1],k+=ps}}}for(i=0;i<series.length;++i)s=series[i],executeHooks(hooks.processDatapoints,[s,s.datapoints]);for(i=0;i<series.length;++i){s=series[i],points=s.datapoints.points,ps=s.datapoints.pointsize;var xmin=topSentry,ymin=topSentry,xmax=bottomSentry,ymax=bottomSentry;for(j=0;j<points.length;j+=ps){if(points[j]==null)continue;for(m=0;m<ps;++m){val=points[j+m],f=format[m];if(!f||val==fakeInfinity||val==-fakeInfinity)continue;f.x&&(val<xmin&&(xmin=val),val>xmax&&(xmax=val)),f.y&&(val<ymin&&(ymin=val),val>ymax&&(ymax=val))}}if(s.bars.show){var delta=s.bars.align=="left"?0:-s.bars.barWidth/2;s.bars.horizontal?(ymin+=delta,ymax+=delta+s.bars.barWidth):(xmin+=delta,xmax+=delta+s.bars.barWidth)}updateAxis(s.xaxis,xmin,xmax),updateAxis(s.yaxis,ymin,ymax)}$.each(allAxes(),function(_,axis){axis.datamin==topSentry&&(axis.datamin=null),axis.datamax==bottomSentry&&(axis.datamax=null)})}function makeCanvas(skipPositioning,cls){var c=document.createElement("canvas");return c.className=cls,c.width=canvasWidth,c.height=canvasHeight,skipPositioning||$(c).css({position:"absolute",left:0,top:0}),$(c).appendTo(placeholder),c.getContext||(c=window.G_vmlCanvasManager.initElement(c)),c.getContext("2d").save(),c}function getCanvasDimensions(){canvasWidth=placeholder.width(),canvasHeight=placeholder.height();if(canvasWidth<=0||canvasHeight<=0)throw"Invalid dimensions for plot, width = "+canvasWidth+", height = "+canvasHeight}function resizeCanvas(c){c.width!=canvasWidth&&(c.width=canvasWidth),c.height!=canvasHeight&&(c.height=canvasHeight);var cctx=c.getContext("2d");cctx.restore(),cctx.save()}function setupCanvases(){var reused,existingCanvas=placeholder.children("canvas.base"),existingOverlay=placeholder.children("canvas.overlay");existingCanvas.length==0||existingOverlay==0?(placeholder.html(""),placeholder.css({padding:0}),placeholder.css("position")=="static"&&placeholder.css("position","relative"),getCanvasDimensions(),canvas=makeCanvas(!0,"base"),overlay=makeCanvas(!1,"overlay"),reused=!1):(canvas=existingCanvas.get(0),overlay=existingOverlay.get(0),reused=!0),ctx=canvas.getContext("2d"),octx=overlay.getContext("2d"),eventHolder=$([overlay,canvas]),reused&&(placeholder.data("plot").shutdown(),plot.resize(),octx.clearRect(0,0,canvasWidth,canvasHeight),eventHolder.unbind(),placeholder.children().not([canvas,overlay]).remove()),placeholder.data("plot",plot)}function bindEvents(){options.grid.hoverable&&(eventHolder.mousemove(onMouseMove),eventHolder.mouseleave(onMouseLeave)),options.grid.clickable&&eventHolder.click(onClick),executeHooks(hooks.bindEvents,[eventHolder])}function shutdown(){redrawTimeout&&clearTimeout(redrawTimeout),eventHolder.unbind("mousemove",onMouseMove),eventHolder.unbind("mouseleave",onMouseLeave),eventHolder.unbind("click",onClick),executeHooks(hooks.shutdown,[eventHolder])}function setTransformationHelpers(axis){function identity(x){return x}var s,m,t=axis.options.transform||identity,it=axis.options.inverseTransform;axis.direction=="x"?(s=axis.scale=plotWidth/Math.abs(t(axis.max)-t(axis.min)),m=Math.min(t(axis.max),t(axis.min))):(s=axis.scale=plotHeight/Math.abs(t(axis.max)-t(axis.min)),s=-s,m=Math.max(t(axis.max),t(axis.min))),t==identity?axis.p2c=function(p){return(p-m)*s}:axis.p2c=function(p){return(t(p)-m)*s},it?axis.c2p=function(c){return it(m+c/s)}:axis.c2p=function(c){return m+c/s}}function measureTickLabels(axis){function makeDummyDiv(labels,width){return $('<div style="position:absolute;top:-10000px;'+width+'font-size:smaller">'+'<div class="'+axis.direction+"Axis "+axis.direction+axis.n+'Axis">'+labels.join("")+"</div></div>").appendTo(placeholder)}var opts=axis.options,i,ticks=axis.ticks||[],labels=[],l,w=opts.labelWidth,h=opts.labelHeight,dummyDiv;if(axis.direction=="x"){w==null&&(w=Math.floor(canvasWidth/(ticks.length>0?ticks.length:1)));if(h==null){labels=[];for(i=0;i<ticks.length;++i)l=ticks[i].label,l&&labels.push('<div class="tickLabel" style="float:left;width:'+w+'px">'+l+"</div>");labels.length>0&&(labels.push('<div style="clear:left"></div>'),dummyDiv=makeDummyDiv(labels,"width:10000px;"),h=dummyDiv.height(),dummyDiv.remove())}}else if(w==null||h==null){for(i=0;i<ticks.length;++i)l=ticks[i].label,l&&labels.push('<div class="tickLabel">'+l+"</div>");labels.length>0&&(dummyDiv=makeDummyDiv(labels,""),w==null&&(w=dummyDiv.children().width()),h==null&&(h=dummyDiv.find("div.tickLabel").height()),dummyDiv.remove())}w==null&&(w=0),h==null&&(h=0),axis.labelWidth=w,axis.labelHeight=h}function allocateAxisBoxFirstPhase(axis){var lw=axis.labelWidth,lh=axis.labelHeight,pos=axis.options.position,tickLength=axis.options.tickLength,axismargin=options.grid.axisMargin,padding=options.grid.labelMargin,all=axis.direction=="x"?xaxes:yaxes,index,samePosition=$.grep(all,function(a){return a&&a.options.position==pos&&a.reserveSpace});$.inArray(axis,samePosition)==samePosition.length-1&&(axismargin=0),tickLength==null&&(tickLength="full");var sameDirection=$.grep(all,function(a){return a&&a.reserveSpace}),innermost=$.inArray(axis,sameDirection)==0;!innermost&&tickLength=="full"&&(tickLength=5),isNaN(+tickLength)||(padding+=+tickLength),axis.direction=="x"?(lh+=padding,pos=="bottom"?(plotOffset.bottom+=lh+axismargin,axis.box={top:canvasHeight-plotOffset.bottom,height:lh}):(axis.box={top:plotOffset.top+axismargin,height:lh},plotOffset.top+=lh+axismargin)):(lw+=padding,pos=="left"?(axis.box={left:plotOffset.left+axismargin,width:lw},plotOffset.left+=lw+axismargin):(plotOffset.right+=lw+axismargin,axis.box={left:canvasWidth-plotOffset.right,width:lw})),axis.position=pos,axis.tickLength=tickLength,axis.box.padding=padding,axis.innermost=innermost}function allocateAxisBoxSecondPhase(axis){axis.direction=="x"?(axis.box.left=plotOffset.left,axis.box.width=plotWidth):(axis.box.top=plotOffset.top,axis.box.height=plotHeight)}function setupGrid(){var i,axes=allAxes();$.each(axes,function(_,axis){axis.show=axis.options.show,axis.show==null&&(axis.show=axis.used),axis.reserveSpace=axis.show||axis.options.reserveSpace,setRange(axis)}),allocatedAxes=$.grep(axes,function(axis){return axis.reserveSpace}),plotOffset.left=plotOffset.right=plotOffset.top=plotOffset.bottom=0;if(options.grid.show){$.each(allocatedAxes,function(_,axis){setupTickGeneration(axis),setTicks(axis),snapRangeToTicks(axis,axis.ticks),measureTickLabels(axis)});for(i=allocatedAxes.length-1;i>=0;--i)allocateAxisBoxFirstPhase(allocatedAxes[i]);var minMargin=options.grid.minBorderMargin;if(minMargin==null){minMargin=0;for(i=0;i<series.length;++i)minMargin=Math.max(minMargin,series[i].points.radius+series[i].points.lineWidth/2)}for(var a in plotOffset)plotOffset[a]+=options.grid.borderWidth,plotOffset[a]=Math.max(minMargin,plotOffset[a])}plotWidth=canvasWidth-plotOffset.left-plotOffset.right,plotHeight=canvasHeight-plotOffset.bottom-plotOffset.top,$.each(axes,function(_,axis){setTransformationHelpers(axis)}),options.grid.show&&($.each(allocatedAxes,function(_,axis){allocateAxisBoxSecondPhase(axis)}),insertAxisLabels()),insertLegend()}function setRange(axis){var opts=axis.options,min=+(opts.min!=null?opts.min:axis.datamin),max=+(opts.max!=null?opts.max:axis.datamax),delta=max-min;if(delta==0){var widen=max==0?1:.01;opts.min==null&&(min-=widen);if(opts.max==null||opts.min!=null)max+=widen}else{var margin=opts.autoscaleMargin;margin!=null&&(opts.min==null&&(min-=delta*margin,min<0&&axis.datamin!=null&&axis.datamin>=0&&(min=0)),opts.max==null&&(max+=delta*margin,max>0&&axis.datamax!=null&&axis.datamax<=0&&(max=0)))}axis.min=min,axis.max=max}function setupTickGeneration(axis){var opts=axis.options,noTicks;typeof opts.ticks=="number"&&opts.ticks>0?noTicks=opts.ticks:noTicks=.3*Math.sqrt(axis.direction=="x"?canvasWidth:canvasHeight);var delta=(axis.max-axis.min)/noTicks,size,generator,unit,formatter,i,magn,norm;if(opts.mode=="time"){var timeUnitSize={second:1e3,minute:6e4,hour:36e5,day:864e5,month:2592e6,year:525949.2*60*1e3},spec=[[1,"second"],[2,"second"],[5,"second"],[10,"second"],[30,"second"],[1,"minute"],[2,"minute"],[5,"minute"],[10,"minute"],[30,"minute"],[1,"hour"],[2,"hour"],[4,"hour"],[8,"hour"],[12,"hour"],[1,"day"],[2,"day"],[3,"day"],[.25,"month"],[.5,"month"],[1,"month"],[2,"month"],[3,"month"],[6,"month"],[1,"year"]],minSize=0;opts.minTickSize!=null&&(typeof opts.tickSize=="number"?minSize=opts.tickSize:minSize=opts.minTickSize[0]*timeUnitSize[opts.minTickSize[1]]);for(var i=0;i<spec.length-1;++i)if(delta<(spec[i][0]*timeUnitSize[spec[i][1]]+spec[i+1][0]*timeUnitSize[spec[i+1][1]])/2&&spec[i][0]*timeUnitSize[spec[i][1]]>=minSize)break;size=spec[i][0],unit=spec[i][1],unit=="year"&&(magn=Math.pow(10,Math.floor(Math.log(delta/timeUnitSize.year)/Math.LN10)),norm=delta/timeUnitSize.year/magn,norm<1.5?size=1:norm<3?size=2:norm<7.5?size=5:size=10,size*=magn),axis.tickSize=opts.tickSize||[size,unit],generator=function(axis){var ticks=[],tickSize=axis.tickSize[0],unit=axis.tickSize[1],d=new Date(axis.min),step=tickSize*timeUnitSize[unit];unit=="second"&&d.setUTCSeconds(floorInBase(d.getUTCSeconds(),tickSize)),unit=="minute"&&d.setUTCMinutes(floorInBase(d.getUTCMinutes(),tickSize)),unit=="hour"&&d.setUTCHours(floorInBase(d.getUTCHours(),tickSize)),unit=="month"&&d.setUTCMonth(floorInBase(d.getUTCMonth(),tickSize)),unit=="year"&&d.setUTCFullYear(floorInBase(d.getUTCFullYear(),tickSize)),d.setUTCMilliseconds(0),step>=timeUnitSize.minute&&d.setUTCSeconds(0),step>=timeUnitSize.hour&&d.setUTCMinutes(0),step>=timeUnitSize.day&&d.setUTCHours(0),step>=timeUnitSize.day*4&&d.setUTCDate(1),step>=timeUnitSize.year&&d.setUTCMonth(0);var carry=0,v=Number.NaN,prev;do{prev=v,v=d.getTime(),ticks.push(v);if(unit=="month")if(tickSize<1){d.setUTCDate(1);var start=d.getTime();d.setUTCMonth(d.getUTCMonth()+1);var end=d.getTime();d.setTime(v+carry*timeUnitSize.hour+(end-start)*tickSize),carry=d.getUTCHours(),d.setUTCHours(0)}else d.setUTCMonth(d.getUTCMonth()+tickSize);else unit=="year"?d.setUTCFullYear(d.getUTCFullYear()+tickSize):d.setTime(v+step)}while(v<axis.max&&v!=prev);return ticks},formatter=function(v,axis){var d=new Date(v);if(opts.timeformat!=null)return $.plot.formatDate(d,opts.timeformat,opts.monthNames);var t=axis.tickSize[0]*timeUnitSize[axis.tickSize[1]],span=axis.max-axis.min,suffix=opts.twelveHourClock?" %p":"";return t<timeUnitSize.minute?fmt="%h:%M:%S"+suffix:t<timeUnitSize.day?span<2*timeUnitSize.day?fmt="%h:%M"+suffix:fmt="%b %d %h:%M"+suffix:t<timeUnitSize.month?fmt="%b %d":t<timeUnitSize.year?span<timeUnitSize.year?fmt="%b":fmt="%b %y":fmt="%y",$.plot.formatDate(d,fmt,opts.monthNames)}}else{var maxDec=opts.tickDecimals,dec=-Math.floor(Math.log(delta)/Math.LN10);maxDec!=null&&dec>maxDec&&(dec=maxDec),magn=Math.pow(10,-dec),norm=delta/magn,norm<1.5?size=1:norm<3?(size=2,norm>2.25&&(maxDec==null||dec+1<=maxDec)&&(size=2.5,++dec)):norm<7.5?size=5:size=10,size*=magn,opts.minTickSize!=null&&size<opts.minTickSize&&(size=opts.minTickSize),axis.tickDecimals=Math.max(0,maxDec!=null?maxDec:dec),axis.tickSize=opts.tickSize||size,generator=function(axis){var ticks=[],start=floorInBase(axis.min,axis.tickSize),i=0,v=Number.NaN,prev;do prev=v,v=start+i*axis.tickSize,ticks.push(v),++i;while(v<axis.max&&v!=prev);return ticks},formatter=function(v,axis){return v.toFixed(axis.tickDecimals)}}if(opts.alignTicksWithAxis!=null){var otherAxis=(axis.direction=="x"?xaxes:yaxes)[opts.alignTicksWithAxis-1];if(otherAxis&&otherAxis.used&&otherAxis!=axis){var niceTicks=generator(axis);niceTicks.length>0&&(opts.min==null&&(axis.min=Math.min(axis.min,niceTicks[0])),opts.max==null&&niceTicks.length>1&&(axis.max=Math.max(axis.max,niceTicks[niceTicks.length-1]))),generator=function(axis){var ticks=[],v,i;for(i=0;i<otherAxis.ticks.length;++i)v=(otherAxis.ticks[i].v-otherAxis.min)/(otherAxis.max-otherAxis.min),v=axis.min+v*(axis.max-axis.min),ticks.push(v);return ticks};if(axis.mode!="time"&&opts.tickDecimals==null){var extraDec=Math.max(0,-Math.floor(Math.log(delta)/Math.LN10)+1),ts=generator(axis);ts.length>1&&/\..*0$/.test((ts[1]-ts[0]).toFixed(extraDec))||(axis.tickDecimals=extraDec)}}}axis.tickGenerator=generator,$.isFunction(opts.tickFormatter)?axis.tickFormatter=function(v,axis){return""+opts.tickFormatter(v,axis)}:axis.tickFormatter=formatter}function setTicks(axis){var oticks=axis.options.ticks,ticks=[];oticks==null||typeof oticks=="number"&&oticks>0?ticks=axis.tickGenerator(axis):oticks&&($.isFunction(oticks)?ticks=oticks({min:axis.min,max:axis.max}):ticks=oticks);var i,v;axis.ticks=[];for(i=0;i<ticks.length;++i){var label=null,t=ticks[i];typeof t=="object"?(v=+t[0],t.length>1&&(label=t[1])):v=+t,label==null&&(label=axis.tickFormatter(v,axis)),isNaN(v)||axis.ticks.push({v:v,label:label})}}function snapRangeToTicks(axis,ticks){axis.options.autoscaleMargin&&ticks.length>0&&(axis.options.min==null&&(axis.min=Math.min(axis.min,ticks[0].v)),axis.options.max==null&&ticks.length>1&&(axis.max=Math.max(axis.max,ticks[ticks.length-1].v)))}function draw(){ctx.clearRect(0,0,canvasWidth,canvasHeight);var grid=options.grid;grid.show&&grid.backgroundColor&&drawBackground(),grid.show&&!grid.aboveData&&drawGrid();for(var i=0;i<series.length;++i)executeHooks(hooks.drawSeries,[ctx,series[i]]),drawSeries(series[i]);executeHooks(hooks.draw,[ctx]),grid.show&&grid.aboveData&&drawGrid()}function extractRange(ranges,coord){var axis,from,to,key,axes=allAxes();for(i=0;i<axes.length;++i){axis=axes[i];if(axis.direction==coord){key=coord+axis.n+"axis",!ranges[key]&&axis.n==1&&(key=coord+"axis");if(ranges[key]){from=ranges[key].from,to=ranges[key].to;break}}}ranges[key]||(axis=coord=="x"?xaxes[0]:yaxes[0],from=ranges[coord+"1"],to=ranges[coord+"2"]);if(from!=null&&to!=null&&from>to){var tmp=from;from=to,to=tmp}return{from:from,to:to,axis:axis}}function drawBackground(){ctx.save(),ctx.translate(plotOffset.left,plotOffset.top),ctx.fillStyle=getColorOrGradient(options.grid.backgroundColor,plotHeight,0,"rgba(255, 255, 255, 0)"),ctx.fillRect(0,0,plotWidth,plotHeight),ctx.restore()}function drawGrid(){var i;ctx.save(),ctx.translate(plotOffset.left,plotOffset.top);var markings=options.grid.markings;if(markings){if($.isFunction(markings)){var axes=plot.getAxes();axes.xmin=axes.xaxis.min,axes.xmax=axes.xaxis.max,axes.ymin=axes.yaxis.min,axes.ymax=axes.yaxis.max,markings=markings(axes)}for(i=0;i<markings.length;++i){var m=markings[i],xrange=extractRange(m,"x"),yrange=extractRange(m,"y");xrange.from==null&&(xrange.from=xrange.axis.min),xrange.to==null&&(xrange.to=xrange.axis.max),yrange.from==null&&(yrange.from=yrange.axis.min),yrange.to==null&&(yrange.to=yrange.axis.max);if(xrange.to<xrange.axis.min||xrange.from>xrange.axis.max||yrange.to<yrange.axis.min||yrange.from>yrange.axis.max)continue;xrange.from=Math.max(xrange.from,xrange.axis.min),xrange.to=Math.min(xrange.to,xrange.axis.max),yrange.from=Math.max(yrange.from,yrange.axis.min),yrange.to=Math.min(yrange.to,yrange.axis.max);if(xrange.from==xrange.to&&yrange.from==yrange.to)continue;xrange.from=xrange.axis.p2c(xrange.from),xrange.to=xrange.axis.p2c(xrange.to),yrange.from=yrange.axis.p2c(yrange.from),yrange.to=yrange.axis.p2c(yrange.to),xrange.from==xrange.to||yrange.from==yrange.to?(ctx.beginPath(),ctx.strokeStyle=m.color||options.grid.markingsColor,ctx.lineWidth=m.lineWidth||options.grid.markingsLineWidth,ctx.moveTo(xrange.from,yrange.from),ctx.lineTo(xrange.to,yrange.to),ctx.stroke()):(ctx.fillStyle=m.color||options.grid.markingsColor,ctx.fillRect(xrange.from,yrange.to,xrange.to-xrange.from,yrange.from-yrange.to))}}var axes=allAxes(),bw=options.grid.borderWidth;for(var j=0;j<axes.length;++j){var axis=axes[j],box=axis.box,t=axis.tickLength,x,y,xoff,yoff;if(!axis.show||axis.ticks.length==0)continue;ctx.strokeStyle=axis.options.tickColor||$.color.parse(axis.options.color).scale("a",.22).toString(),ctx.lineWidth=1,axis.direction=="x"?(x=0,t=="full"?y=axis.position=="top"?0:plotHeight:y=box.top-plotOffset.top+(axis.position=="top"?box.height:0)):(y=0,t=="full"?x=axis.position=="left"?0:plotWidth:x=box.left-plotOffset.left+(axis.position=="left"?box.width:0)),axis.innermost||(ctx.beginPath(),xoff=yoff=0,axis.direction=="x"?xoff=plotWidth:yoff=plotHeight,ctx.lineWidth==1&&(x=Math.floor(x)+.5,y=Math.floor(y)+.5),ctx.moveTo(x,y),ctx.lineTo(x+xoff,y+yoff),ctx.stroke()),ctx.beginPath();for(i=0;i<axis.ticks.length;++i){var v=axis.ticks[i].v;xoff=yoff=0;if(v<axis.min||v>axis.max||t=="full"&&bw>0&&(v==axis.min||v==axis.max))continue;axis.direction=="x"?(x=axis.p2c(v),yoff=t=="full"?-plotHeight:t,axis.position=="top"&&(yoff=-yoff)):(y=axis.p2c(v),xoff=t=="full"?-plotWidth:t,axis.position=="left"&&(xoff=-xoff)),ctx.lineWidth==1&&(axis.direction=="x"?x=Math.floor(x)+.5:y=Math.floor(y)+.5),ctx.moveTo(x,y),ctx.lineTo(x+xoff,y+yoff)}ctx.stroke()}bw&&(ctx.lineWidth=bw,ctx.strokeStyle=options.grid.borderColor,ctx.strokeRect(-bw/2,-bw/2,plotWidth+bw,plotHeight+bw)),ctx.restore()}function insertAxisLabels(){placeholder.find(".tickLabels").remove();var html=['<div class="tickLabels" style="font-size:smaller">'],axes=allAxes();for(var j=0;j<axes.length;++j){var axis=axes[j],box=axis.box;if(!axis.show)continue;html.push('<div class="'+axis.direction+"Axis "+axis.direction+axis.n+'Axis" style="color:'+axis.options.color+'">');for(var i=0;i<axis.ticks.length;++i){var tick=axis.ticks[i];if(!tick.label||tick.v<axis.min||tick.v>axis.max)continue;var pos={},align;axis.direction=="x"?(align="center",pos.left=Math.round(plotOffset.left+axis.p2c(tick.v)-axis.labelWidth/2),axis.position=="bottom"?pos.top=box.top+box.padding:pos.bottom=canvasHeight-(box.top+box.height-box.padding)):(pos.top=Math.round(plotOffset.top+axis.p2c(tick.v)-axis.labelHeight/2),axis.position=="left"?(pos.right=canvasWidth-(box.left+box.width-box.padding),align="right"):(pos.left=box.left+box.padding,align="left")),pos.width=axis.labelWidth;var style=["position:absolute","text-align:"+align];for(var a in pos)style.push(a+":"+pos[a]+"px");html.push('<div class="tickLabel" style="'+style.join(";")+'">'+tick.label+"</div>")}html.push("</div>")}html.push("</div>"),placeholder.append(html.join(""))}function drawSeries(series){series.lines.show&&drawSeriesLines(series),series.bars.show&&drawSeriesBars(series),series.points.show&&drawSeriesPoints(series)}function drawSeriesLines(series){function plotLine(datapoints,xoffset,yoffset,axisx,axisy){var points=datapoints.points,ps=datapoints.pointsize,prevx=null,prevy=null;ctx.beginPath();for(var i=ps;i<points.length;i+=ps){var x1=points[i-ps],y1=points[i-ps+1],x2=points[i],y2=points[i+1];if(x1==null||x2==null)continue;if(y1<=y2&&y1<axisy.min){if(y2<axisy.min)continue;x1=(axisy.min-y1)/(y2-y1)*(x2-x1)+x1,y1=axisy.min}else if(y2<=y1&&y2<axisy.min){if(y1<axisy.min)continue;x2=(axisy.min-y1)/(y2-y1)*(x2-x1)+x1,y2=axisy.min}if(y1>=y2&&y1>axisy.max){if(y2>axisy.max)continue;x1=(axisy.max-y1)/(y2-y1)*(x2-x1)+x1,y1=axisy.max}else if(y2>=y1&&y2>axisy.max){if(y1>axisy.max)continue;x2=(axisy.max-y1)/(y2-y1)*(x2-x1)+x1,y2=axisy.max}if(x1<=x2&&x1<axisx.min){if(x2<axisx.min)continue;y1=(axisx.min-x1)/(x2-x1)*(y2-y1)+y1,x1=axisx.min}else if(x2<=x1&&x2<axisx.min){if(x1<axisx.min)continue;y2=(axisx.min-x1)/(x2-x1)*(y2-y1)+y1,x2=axisx.min}if(x1>=x2&&x1>axisx.max){if(x2>axisx.max)continue;y1=(axisx.max-x1)/(x2-x1)*(y2-y1)+y1,x1=axisx.max}else if(x2>=x1&&x2>axisx.max){if(x1>axisx.max)continue;y2=(axisx.max-x1)/(x2-x1)*(y2-y1)+y1,x2=axisx.max}(x1!=prevx||y1!=prevy)&&ctx.moveTo(axisx.p2c(x1)+xoffset,axisy.p2c(y1)+yoffset),prevx=x2,prevy=y2,ctx.lineTo(axisx.p2c(x2)+xoffset,axisy.p2c(y2)+yoffset)}ctx.stroke()}function plotLineArea(datapoints,axisx,axisy){var points=datapoints.points,ps=datapoints.pointsize,bottom=Math.min(Math.max(0,axisy.min),axisy.max),i=0,top,areaOpen=!1,ypos=1,segmentStart=0,segmentEnd=0;for(;;){if(ps>0&&i>points.length+ps)break;i+=ps;var x1=points[i-ps],y1=points[i-ps+ypos],x2=points[i],y2=points[i+ypos];if(areaOpen){if(ps>0&&x1!=null&&x2==null){segmentEnd=i,ps=-ps,ypos=2;continue}if(ps<0&&i==segmentStart+ps){ctx.fill(),areaOpen=!1,ps=-ps,ypos=1,i=segmentStart=segmentEnd+ps;continue}}if(x1==null||x2==null)continue;if(x1<=x2&&x1<axisx.min){if(x2<axisx.min)continue;y1=(axisx.min-x1)/(x2-x1)*(y2-y1)+y1,x1=axisx.min}else if(x2<=x1&&x2<axisx.min){if(x1<axisx.min)continue;y2=(axisx.min-x1)/(x2-x1)*(y2-y1)+y1,x2=axisx.min}if(x1>=x2&&x1>axisx.max){if(x2>axisx.max)continue;y1=(axisx.max-x1)/(x2-x1)*(y2-y1)+y1,x1=axisx.max}else if(x2>=x1&&x2>axisx.max){if(x1>axisx.max)continue;y2=(axisx.max-x1)/(x2-x1)*(y2-y1)+y1,x2=axisx.max}areaOpen||(ctx.beginPath(),ctx.moveTo(axisx.p2c(x1),axisy.p2c(bottom)),areaOpen=!0);if(y1>=axisy.max&&y2>=axisy.max){ctx.lineTo(axisx.p2c(x1),axisy.p2c(axisy.max)),ctx.lineTo(axisx.p2c(x2),axisy.p2c(axisy.max));continue}if(y1<=axisy.min&&y2<=axisy.min){ctx.lineTo(axisx.p2c(x1),axisy.p2c(axisy.min)),ctx.lineTo(axisx.p2c(x2),axisy.p2c(axisy.min));continue}var x1old=x1,x2old=x2;y1<=y2&&y1<axisy.min&&y2>=axisy.min?(x1=(axisy.min-y1)/(y2-y1)*(x2-x1)+x1,y1=axisy.min):y2<=y1&&y2<axisy.min&&y1>=axisy.min&&(x2=(axisy.min-y1)/(y2-y1)*(x2-x1)+x1,y2=axisy.min),y1>=y2&&y1>axisy.max&&y2<=axisy.max?(x1=(axisy.max-y1)/(y2-y1)*(x2-x1)+x1,y1=axisy.max):y2>=y1&&y2>axisy.max&&y1<=axisy.max&&(x2=(axisy.max-y1)/(y2-y1)*(x2-x1)+x1,y2=axisy.max),x1!=x1old&&ctx.lineTo(axisx.p2c(x1old),axisy.p2c(y1)),ctx.lineTo(axisx.p2c(x1),axisy.p2c(y1)),ctx.lineTo(axisx.p2c(x2),axisy.p2c(y2)),x2!=x2old&&(ctx.lineTo(axisx.p2c(x2),axisy.p2c(y2)),ctx.lineTo(axisx.p2c(x2old),axisy.p2c(y2)))}}ctx.save(),ctx.translate(plotOffset.left,plotOffset.top),ctx.lineJoin="round";var lw=series.lines.lineWidth,sw=series.shadowSize;if(lw>0&&sw>0){ctx.lineWidth=sw,ctx.strokeStyle="rgba(0,0,0,0.1)";var angle=Math.PI/18;plotLine(series.datapoints,Math.sin(angle)*(lw/2+sw/2),Math.cos(angle)*(lw/2+sw/2),series.xaxis,series.yaxis),ctx.lineWidth=sw/2,plotLine(series.datapoints,Math.sin(angle)*(lw/2+sw/4),Math.cos(angle)*(lw/2+sw/4),series.xaxis,series.yaxis)}ctx.lineWidth=lw,ctx.strokeStyle=series.color;var fillStyle=getFillStyle(series.lines,series.color,0,plotHeight);fillStyle&&(ctx.fillStyle=fillStyle,plotLineArea(series.datapoints,series.xaxis,series.yaxis)),lw>0&&plotLine(series.datapoints,0,0,series.xaxis,series.yaxis),ctx.restore()}function drawSeriesPoints(series){function plotPoints(datapoints,radius,fillStyle,offset,shadow,axisx,axisy,symbol){var points=datapoints.points,ps=datapoints.pointsize;for(var i=0;i<points.length;i+=ps){var x=points[i],y=points[i+1];if(x==null||x<axisx.min||x>axisx.max||y<axisy.min||y>axisy.max)continue;ctx.beginPath(),x=axisx.p2c
(x),y=axisy.p2c(y)+offset,symbol=="circle"?ctx.arc(x,y,radius,0,shadow?Math.PI:Math.PI*2,!1):symbol(ctx,x,y,radius,shadow),ctx.closePath(),fillStyle&&(ctx.fillStyle=fillStyle,ctx.fill()),ctx.stroke()}}ctx.save(),ctx.translate(plotOffset.left,plotOffset.top);var lw=series.points.lineWidth,sw=series.shadowSize,radius=series.points.radius,symbol=series.points.symbol;if(lw>0&&sw>0){var w=sw/2;ctx.lineWidth=w,ctx.strokeStyle="rgba(0,0,0,0.1)",plotPoints(series.datapoints,radius,null,w+w/2,!0,series.xaxis,series.yaxis,symbol),ctx.strokeStyle="rgba(0,0,0,0.2)",plotPoints(series.datapoints,radius,null,w/2,!0,series.xaxis,series.yaxis,symbol)}ctx.lineWidth=lw,ctx.strokeStyle=series.color,plotPoints(series.datapoints,radius,getFillStyle(series.points,series.color),0,!1,series.xaxis,series.yaxis,symbol),ctx.restore()}function drawBar(x,y,b,barLeft,barRight,offset,fillStyleCallback,axisx,axisy,c,horizontal,lineWidth){var left,right,bottom,top,drawLeft,drawRight,drawTop,drawBottom,tmp;horizontal?(drawBottom=drawRight=drawTop=!0,drawLeft=!1,left=b,right=x,top=y+barLeft,bottom=y+barRight,right<left&&(tmp=right,right=left,left=tmp,drawLeft=!0,drawRight=!1)):(drawLeft=drawRight=drawTop=!0,drawBottom=!1,left=x+barLeft,right=x+barRight,bottom=b,top=y,top<bottom&&(tmp=top,top=bottom,bottom=tmp,drawBottom=!0,drawTop=!1));if(right<axisx.min||left>axisx.max||top<axisy.min||bottom>axisy.max)return;left<axisx.min&&(left=axisx.min,drawLeft=!1),right>axisx.max&&(right=axisx.max,drawRight=!1),bottom<axisy.min&&(bottom=axisy.min,drawBottom=!1),top>axisy.max&&(top=axisy.max,drawTop=!1),left=axisx.p2c(left),bottom=axisy.p2c(bottom),right=axisx.p2c(right),top=axisy.p2c(top),fillStyleCallback&&(c.beginPath(),c.moveTo(left,bottom),c.lineTo(left,top),c.lineTo(right,top),c.lineTo(right,bottom),c.fillStyle=fillStyleCallback(bottom,top),c.fill()),lineWidth>0&&(drawLeft||drawRight||drawTop||drawBottom)&&(c.beginPath(),c.moveTo(left,bottom+offset),drawLeft?c.lineTo(left,top+offset):c.moveTo(left,top+offset),drawTop?c.lineTo(right,top+offset):c.moveTo(right,top+offset),drawRight?c.lineTo(right,bottom+offset):c.moveTo(right,bottom+offset),drawBottom?c.lineTo(left,bottom+offset):c.moveTo(left,bottom+offset),c.stroke())}function drawSeriesBars(series){function plotBars(datapoints,barLeft,barRight,offset,fillStyleCallback,axisx,axisy){var points=datapoints.points,ps=datapoints.pointsize;for(var i=0;i<points.length;i+=ps){if(points[i]==null)continue;drawBar(points[i],points[i+1],points[i+2],barLeft,barRight,offset,fillStyleCallback,axisx,axisy,ctx,series.bars.horizontal,series.bars.lineWidth)}}ctx.save(),ctx.translate(plotOffset.left,plotOffset.top),ctx.lineWidth=series.bars.lineWidth,ctx.strokeStyle=series.color;var barLeft=series.bars.align=="left"?0:-series.bars.barWidth/2,fillStyleCallback=series.bars.fill?function(bottom,top){return getFillStyle(series.bars,series.color,bottom,top)}:null;plotBars(series.datapoints,barLeft,barLeft+series.bars.barWidth,0,fillStyleCallback,series.xaxis,series.yaxis),ctx.restore()}function getFillStyle(filloptions,seriesColor,bottom,top){var fill=filloptions.fill;if(!fill)return null;if(filloptions.fillColor)return getColorOrGradient(filloptions.fillColor,bottom,top,seriesColor);var c=$.color.parse(seriesColor);return c.a=typeof fill=="number"?fill:.4,c.normalize(),c.toString()}function insertLegend(){placeholder.find(".legend").remove();if(!options.legend.show)return;var fragments=[],rowStarted=!1,lf=options.legend.labelFormatter,s,label;for(var i=0;i<series.length;++i){s=series[i],label=s.label;if(!label)continue;i%options.legend.noColumns==0&&(rowStarted&&fragments.push("</tr>"),fragments.push("<tr>"),rowStarted=!0),lf&&(label=lf(label,s)),fragments.push('<td class="legendColorBox"><div style="border:1px solid '+options.legend.labelBoxBorderColor+';padding:1px"><div style="width:4px;height:0;border:5px solid '+s.color+';overflow:hidden"></div></div></td>'+'<td class="legendLabel">'+label+"</td>")}rowStarted&&fragments.push("</tr>");if(fragments.length==0)return;var table='<table style="font-size:smaller;color:'+options.grid.color+'">'+fragments.join("")+"</table>";if(options.legend.container!=null)$(options.legend.container).html(table);else{var pos="",p=options.legend.position,m=options.legend.margin;m[0]==null&&(m=[m,m]),p.charAt(0)=="n"?pos+="top:"+(m[1]+plotOffset.top)+"px;":p.charAt(0)=="s"&&(pos+="bottom:"+(m[1]+plotOffset.bottom)+"px;"),p.charAt(1)=="e"?pos+="right:"+(m[0]+plotOffset.right)+"px;":p.charAt(1)=="w"&&(pos+="left:"+(m[0]+plotOffset.left)+"px;");var legend=$('<div class="legend">'+table.replace('style="','style="position:absolute;'+pos+";")+"</div>").appendTo(placeholder);if(options.legend.backgroundOpacity!=0){var c=options.legend.backgroundColor;c==null&&(c=options.grid.backgroundColor,c&&typeof c=="string"?c=$.color.parse(c):c=$.color.extract(legend,"background-color"),c.a=1,c=c.toString());var div=legend.children();$('<div style="position:absolute;width:'+div.width()+"px;height:"+div.height()+"px;"+pos+"background-color:"+c+';"> </div>').prependTo(legend).css("opacity",options.legend.backgroundOpacity)}}}function findNearbyItem(mouseX,mouseY,seriesFilter){var maxDistance=options.grid.mouseActiveRadius,smallestDistance=maxDistance*maxDistance+1,item=null,foundPoint=!1,i,j;for(i=series.length-1;i>=0;--i){if(!seriesFilter(series[i]))continue;var s=series[i],axisx=s.xaxis,axisy=s.yaxis,points=s.datapoints.points,ps=s.datapoints.pointsize,mx=axisx.c2p(mouseX),my=axisy.c2p(mouseY),maxx=maxDistance/axisx.scale,maxy=maxDistance/axisy.scale;axisx.options.inverseTransform&&(maxx=Number.MAX_VALUE),axisy.options.inverseTransform&&(maxy=Number.MAX_VALUE);if(s.lines.show||s.points.show)for(j=0;j<points.length;j+=ps){var x=points[j],y=points[j+1];if(x==null)continue;if(x-mx>maxx||x-mx<-maxx||y-my>maxy||y-my<-maxy)continue;var dx=Math.abs(axisx.p2c(x)-mouseX),dy=Math.abs(axisy.p2c(y)-mouseY),dist=dx*dx+dy*dy;dist<smallestDistance&&(smallestDistance=dist,item=[i,j/ps])}if(s.bars.show&&!item){var barLeft=s.bars.align=="left"?0:-s.bars.barWidth/2,barRight=barLeft+s.bars.barWidth;for(j=0;j<points.length;j+=ps){var x=points[j],y=points[j+1],b=points[j+2];if(x==null)continue;if(series[i].bars.horizontal?mx<=Math.max(b,x)&&mx>=Math.min(b,x)&&my>=y+barLeft&&my<=y+barRight:mx>=x+barLeft&&mx<=x+barRight&&my>=Math.min(b,y)&&my<=Math.max(b,y))item=[i,j/ps]}}}return item?(i=item[0],j=item[1],ps=series[i].datapoints.pointsize,{datapoint:series[i].datapoints.points.slice(j*ps,(j+1)*ps),dataIndex:j,series:series[i],seriesIndex:i}):null}function onMouseMove(e){options.grid.hoverable&&triggerClickHoverEvent("plothover",e,function(s){return s["hoverable"]!=0})}function onMouseLeave(e){options.grid.hoverable&&triggerClickHoverEvent("plothover",e,function(s){return!1})}function onClick(e){triggerClickHoverEvent("plotclick",e,function(s){return s["clickable"]!=0})}function triggerClickHoverEvent(eventname,event,seriesFilter){var offset=eventHolder.offset(),canvasX=event.pageX-offset.left-plotOffset.left,canvasY=event.pageY-offset.top-plotOffset.top,pos=canvasToAxisCoords({left:canvasX,top:canvasY});pos.pageX=event.pageX,pos.pageY=event.pageY;var item=findNearbyItem(canvasX,canvasY,seriesFilter);item&&(item.pageX=parseInt(item.series.xaxis.p2c(item.datapoint[0])+offset.left+plotOffset.left),item.pageY=parseInt(item.series.yaxis.p2c(item.datapoint[1])+offset.top+plotOffset.top));if(options.grid.autoHighlight){for(var i=0;i<highlights.length;++i){var h=highlights[i];h.auto==eventname&&(!item||h.series!=item.series||h.point[0]!=item.datapoint[0]||h.point[1]!=item.datapoint[1])&&unhighlight(h.series,h.point)}item&&highlight(item.series,item.datapoint,eventname)}placeholder.trigger(eventname,[pos,item])}function triggerRedrawOverlay(){redrawTimeout||(redrawTimeout=setTimeout(drawOverlay,30))}function drawOverlay(){redrawTimeout=null,octx.save(),octx.clearRect(0,0,canvasWidth,canvasHeight),octx.translate(plotOffset.left,plotOffset.top);var i,hi;for(i=0;i<highlights.length;++i)hi=highlights[i],hi.series.bars.show?drawBarHighlight(hi.series,hi.point):drawPointHighlight(hi.series,hi.point);octx.restore(),executeHooks(hooks.drawOverlay,[octx])}function highlight(s,point,auto){typeof s=="number"&&(s=series[s]);if(typeof point=="number"){var ps=s.datapoints.pointsize;point=s.datapoints.points.slice(ps*point,ps*(point+1))}var i=indexOfHighlight(s,point);i==-1?(highlights.push({series:s,point:point,auto:auto}),triggerRedrawOverlay()):auto||(highlights[i].auto=!1)}function unhighlight(s,point){s==null&&point==null&&(highlights=[],triggerRedrawOverlay()),typeof s=="number"&&(s=series[s]),typeof point=="number"&&(point=s.data[point]);var i=indexOfHighlight(s,point);i!=-1&&(highlights.splice(i,1),triggerRedrawOverlay())}function indexOfHighlight(s,p){for(var i=0;i<highlights.length;++i){var h=highlights[i];if(h.series==s&&h.point[0]==p[0]&&h.point[1]==p[1])return i}return-1}function drawPointHighlight(series,point){var x=point[0],y=point[1],axisx=series.xaxis,axisy=series.yaxis;if(x<axisx.min||x>axisx.max||y<axisy.min||y>axisy.max)return;var pointRadius=series.points.radius+series.points.lineWidth/2;octx.lineWidth=pointRadius,octx.strokeStyle=$.color.parse(series.color).scale("a",.5).toString();var radius=1.5*pointRadius,x=axisx.p2c(x),y=axisy.p2c(y);octx.beginPath(),series.points.symbol=="circle"?octx.arc(x,y,radius,0,2*Math.PI,!1):series.points.symbol(octx,x,y,radius,!1),octx.closePath(),octx.stroke()}function drawBarHighlight(series,point){octx.lineWidth=series.bars.lineWidth,octx.strokeStyle=$.color.parse(series.color).scale("a",.5).toString();var fillStyle=$.color.parse(series.color).scale("a",.5).toString(),barLeft=series.bars.align=="left"?0:-series.bars.barWidth/2;drawBar(point[0],point[1],point[2]||0,barLeft,barLeft+series.bars.barWidth,0,function(){return fillStyle},series.xaxis,series.yaxis,octx,series.bars.horizontal,series.bars.lineWidth)}function getColorOrGradient(spec,bottom,top,defaultColor){if(typeof spec=="string")return spec;var gradient=ctx.createLinearGradient(0,top,0,bottom);for(var i=0,l=spec.colors.length;i<l;++i){var c=spec.colors[i];if(typeof c!="string"){var co=$.color.parse(defaultColor);c.brightness!=null&&(co=co.scale("rgb",c.brightness)),c.opacity!=null&&(co.a*=c.opacity),c=co.toString()}gradient.addColorStop(i/(l-1),c)}return gradient}var series=[],options={colors:["#edc240","#afd8f8","#cb4b4b","#4da74d","#9440ed"],legend:{show:!0,noColumns:1,labelFormatter:null,labelBoxBorderColor:"#ccc",container:null,position:"ne",margin:5,backgroundColor:null,backgroundOpacity:.85},xaxis:{show:null,position:"bottom",mode:null,color:null,tickColor:null,transform:null,inverseTransform:null,min:null,max:null,autoscaleMargin:null,ticks:null,tickFormatter:null,labelWidth:null,labelHeight:null,reserveSpace:null,tickLength:null,alignTicksWithAxis:null,tickDecimals:null,tickSize:null,minTickSize:null,monthNames:null,timeformat:null,twelveHourClock:!1},yaxis:{autoscaleMargin:.02,position:"left"},xaxes:[],yaxes:[],series:{points:{show:!1,radius:3,lineWidth:2,fill:!0,fillColor:"#ffffff",symbol:"circle"},lines:{lineWidth:2,fill:!1,fillColor:null,steps:!1},bars:{show:!1,lineWidth:2,barWidth:1,fill:!0,fillColor:null,align:"left",horizontal:!1},shadowSize:3},grid:{show:!0,aboveData:!1,color:"#545454",backgroundColor:null,borderColor:null,tickColor:null,labelMargin:5,axisMargin:8,borderWidth:2,minBorderMargin:null,markings:null,markingsColor:"#f4f4f4",markingsLineWidth:2,clickable:!1,hoverable:!1,autoHighlight:!0,mouseActiveRadius:10},hooks:{}},canvas=null,overlay=null,eventHolder=null,ctx=null,octx=null,xaxes=[],yaxes=[],plotOffset={left:0,right:0,top:0,bottom:0},canvasWidth=0,canvasHeight=0,plotWidth=0,plotHeight=0,hooks={processOptions:[],processRawData:[],processDatapoints:[],drawSeries:[],draw:[],bindEvents:[],drawOverlay:[],shutdown:[]},plot=this;plot.setData=setData,plot.setupGrid=setupGrid,plot.draw=draw,plot.getPlaceholder=function(){return placeholder},plot.getCanvas=function(){return canvas},plot.getPlotOffset=function(){return plotOffset},plot.width=function(){return plotWidth},plot.height=function(){return plotHeight},plot.offset=function(){var o=eventHolder.offset();return o.left+=plotOffset.left,o.top+=plotOffset.top,o},plot.getData=function(){return series},plot.getAxes=function(){var res={},i;return $.each(xaxes.concat(yaxes),function(_,axis){axis&&(res[axis.direction+(axis.n!=1?axis.n:"")+"axis"]=axis)}),res},plot.getXAxes=function(){return xaxes},plot.getYAxes=function(){return yaxes},plot.c2p=canvasToAxisCoords,plot.p2c=axisToCanvasCoords,plot.getOptions=function(){return options},plot.highlight=highlight,plot.unhighlight=unhighlight,plot.triggerRedrawOverlay=triggerRedrawOverlay,plot.pointOffset=function(point){return{left:parseInt(xaxes[axisNumber(point,"x")-1].p2c(+point.x)+plotOffset.left),top:parseInt(yaxes[axisNumber(point,"y")-1].p2c(+point.y)+plotOffset.top)}},plot.shutdown=shutdown,plot.resize=function(){getCanvasDimensions(),resizeCanvas(canvas),resizeCanvas(overlay)},plot.hooks=hooks,initPlugins(plot),parseOptions(options_),setupCanvases(),setData(data_),setupGrid(),draw(),bindEvents();var highlights=[],redrawTimeout=null}function floorInBase(n,base){return base*Math.floor(n/base)}$.plot=function(placeholder,data,options){var plot=new Plot($(placeholder),data,options,$.plot.plugins);return plot},$.plot.version="0.7",$.plot.plugins=[],$.plot.formatDate=function(d,fmt,monthNames){var leftPad=function(n){return n=""+n,n.length==1?"0"+n:n},r=[],escape=!1,padNext=!1,hours=d.getUTCHours(),isAM=hours<12;monthNames==null&&(monthNames=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"]),fmt.search(/%p|%P/)!=-1&&(hours>12?hours-=12:hours==0&&(hours=12));for(var i=0;i<fmt.length;++i){var c=fmt.charAt(i);if(escape){switch(c){case"h":c=""+hours;break;case"H":c=leftPad(hours);break;case"M":c=leftPad(d.getUTCMinutes());break;case"S":c=leftPad(d.getUTCSeconds());break;case"d":c=""+d.getUTCDate();break;case"m":c=""+(d.getUTCMonth()+1);break;case"y":c=""+d.getUTCFullYear();break;case"b":c=""+monthNames[d.getUTCMonth()];break;case"p":c=isAM?"am":"pm";break;case"P":c=isAM?"AM":"PM";break;case"0":c="",padNext=!0}c&&padNext&&(c=leftPad(c),padNext=!1),r.push(c),padNext||(escape=!1)}else c=="%"?escape=!0:r.push(c)}return r.join("")}}(jQuery),function($){function init(plot){function checkPieEnabled(plot,options){options.series.pie.show&&(options.grid.show=!1,options.series.pie.label.show=="auto"&&(options.legend.show?options.series.pie.label.show=!1:options.series.pie.label.show=!0),options.series.pie.radius=="auto"&&(options.series.pie.label.show?options.series.pie.radius=.75:options.series.pie.radius=1),options.series.pie.tilt>1&&(options.series.pie.tilt=1),options.series.pie.tilt<0&&(options.series.pie.tilt=0),plot.hooks.processDatapoints.push(processDatapoints),plot.hooks.drawOverlay.push(drawOverlay),plot.hooks.draw.push(draw))}function bindEvents(plot,eventHolder){var options=plot.getOptions();options.series.pie.show&&options.grid.hoverable&&eventHolder.unbind("mousemove").mousemove(onMouseMove),options.series.pie.show&&options.grid.clickable&&eventHolder.unbind("click").click(onClick)}function alertObject(obj){function traverse(obj,depth){depth||(depth=0);for(var i=0;i<obj.length;++i){for(var j=0;j<depth;j++)msg+="	";typeof obj[i]=="object"?(msg+=""+i+":\n",traverse(obj[i],depth+1)):msg+=""+i+": "+obj[i]+"\n"}}var msg="";traverse(obj),alert(msg)}function calcTotal(data){for(var i=0;i<data.length;++i){var item=parseFloat(data[i].data[0][1]);item&&(total+=item)}}function processDatapoints(plot,series,data,datapoints){processed||(processed=!0,canvas=plot.getCanvas(),target=$(canvas).parent(),options=plot.getOptions(),plot.setData(combine(plot.getData())))}function setupPie(){legendWidth=target.children().filter(".legend").children().width(),maxRadius=Math.min(canvas.width,canvas.height/options.series.pie.tilt)/2,centerTop=canvas.height/2+options.series.pie.offset.top,centerLeft=canvas.width/2,options.series.pie.offset.left=="auto"?options.legend.position.match("w")?centerLeft+=legendWidth/2:centerLeft-=legendWidth/2:centerLeft+=options.series.pie.offset.left,centerLeft<maxRadius?centerLeft=maxRadius:centerLeft>canvas.width-maxRadius&&(centerLeft=canvas.width-maxRadius)}function fixData(data){for(var i=0;i<data.length;++i)if(typeof data[i].data=="number")data[i].data=[[1,data[i].data]];else if(typeof data[i].data=="undefined"||typeof data[i].data[0]=="undefined")typeof data[i].data!="undefined"&&typeof data[i].data.label!="undefined"&&(data[i].label=data[i].data.label),data[i].data=[[1,0]];return data}function combine(data){data=fixData(data),calcTotal(data);var combined=0,numCombined=0,color=options.series.pie.combine.color,newdata=[];for(var i=0;i<data.length;++i)data[i].data[0][1]=parseFloat(data[i].data[0][1]),data[i].data[0][1]||(data[i].data[0][1]=0),data[i].data[0][1]/total<=options.series.pie.combine.threshold?(combined+=data[i].data[0][1],numCombined++,color||(color=data[i].color)):newdata.push({data:[[1,data[i].data[0][1]]],color:data[i].color,label:data[i].label,angle:data[i].data[0][1]*Math.PI*2/total,percent:data[i].data[0][1]/total*100});return numCombined>0&&newdata.push({data:[[1,combined]],color:color,label:options.series.pie.combine.label,angle:combined*Math.PI*2/total,percent:combined/total*100}),newdata}function draw(plot,newCtx){function clear(){ctx.clearRect(0,0,canvas.width,canvas.height),target.children().filter(".pieLabel, .pieLabelBackground").remove()}function drawShadow(){var shadowLeft=5,shadowTop=15,edge=10,alpha=.02;if(options.series.pie.radius>1)var radius=options.series.pie.radius;else var radius=maxRadius*options.series.pie.radius;if(radius>=canvas.width/2-shadowLeft||radius*options.series.pie.tilt>=canvas.height/2-shadowTop||radius<=edge)return;ctx.save(),ctx.translate(shadowLeft,shadowTop),ctx.globalAlpha=alpha,ctx.fillStyle="#000",ctx.translate(centerLeft,centerTop),ctx.scale(1,options.series.pie.tilt);for(var i=1;i<=edge;i++)ctx.beginPath(),ctx.arc(0,0,radius,0,Math.PI*2,!1),ctx.fill(),radius-=i;ctx.restore()}function drawPie(){function drawSlice(angle,color,fill){if(angle<=0)return;fill?ctx.fillStyle=color:(ctx.strokeStyle=color,ctx.lineJoin="round"),ctx.beginPath(),Math.abs(angle-Math.PI*2)>1e-9?ctx.moveTo(0,0):$.browser.msie&&(angle-=1e-4),ctx.arc(0,0,radius,currentAngle,currentAngle+angle,!1),ctx.closePath(),currentAngle+=angle,fill?ctx.fill():ctx.stroke()}function drawLabels(){function drawLabel(slice,startAngle,index){if(slice.data[0][1]==0)return;var lf=options.legend.labelFormatter,text,plf=options.series.pie.label.formatter;lf?text=lf(slice.label,slice):text=slice.label,plf&&(text=plf(text,slice));var halfAngle=(startAngle+slice.angle+startAngle)/2,x=centerLeft+Math.round(Math.cos(halfAngle)*radius),y=centerTop+Math.round(Math.sin(halfAngle)*radius)*options.series.pie.tilt,html='<span class="pieLabel" id="pieLabel'+index+'" style="position:absolute;top:'+y+"px;left:"+x+'px;">'+text+"</span>";target.append(html);var label=target.children("#pieLabel"+index),labelTop=y-label.height()/2,labelLeft=x-label.width()/2;label.css("top",labelTop),label.css("left",labelLeft);if(0-labelTop>0||0-labelLeft>0||canvas.height-(labelTop+label.height())<0||canvas.width-(labelLeft+label.width())<0)redraw=!0;if(options.series.pie.label.background.opacity!=0){var c=options.series.pie.label.background.color;c==null&&(c=slice.color);var pos="top:"+labelTop+"px;left:"+labelLeft+"px;";$('<div class="pieLabelBackground" style="position:absolute;width:'+label.width()+"px;height:"+label.height()+"px;"+pos+"background-color:"+c+';"> </div>').insertBefore(label).css("opacity",options.series.pie.label.background.opacity)}}var currentAngle=startAngle;if(options.series.pie.label.radius>1)var radius=options.series.pie.label.radius;else var radius=maxRadius*options.series.pie.label.radius;for(var i=0;i<slices.length;++i)slices[i].percent>=options.series.pie.label.threshold*100&&drawLabel(slices[i],currentAngle,i),currentAngle+=slices[i].angle}startAngle=Math.PI*options.series.pie.startAngle;if(options.series.pie.radius>1)var radius=options.series.pie.radius;else var radius=maxRadius*options.series.pie.radius;ctx.save(),ctx.translate(centerLeft,centerTop),ctx.scale(1,options.series.pie.tilt),ctx.save();var currentAngle=startAngle;for(var i=0;i<slices.length;++i)slices[i].startAngle=currentAngle,drawSlice(slices[i].angle,slices[i].color,!0);ctx.restore(),ctx.save(),ctx.lineWidth=options.series.pie.stroke.width,currentAngle=startAngle;for(var i=0;i<slices.length;++i)drawSlice(slices[i].angle,options.series.pie.stroke.color,!1);ctx.restore(),drawDonutHole(ctx),options.series.pie.label.show&&drawLabels(),ctx.restore()}if(!target)return;ctx=newCtx,setupPie();var slices=plot.getData(),attempts=0;while(redraw&&attempts<redrawAttempts)redraw=!1,attempts>0&&(maxRadius*=shrink),attempts+=1,clear(),options.series.pie.tilt<=.8&&drawShadow(),drawPie();attempts>=redrawAttempts&&(clear(),target.prepend('<div class="error">Could not draw pie with labels contained inside canvas</div>')),plot.setSeries&&plot.insertLegend&&(plot.setSeries(slices),plot.insertLegend())}function drawDonutHole(layer){options.series.pie.innerRadius>0&&(layer.save(),innerRadius=options.series.pie.innerRadius>1?options.series.pie.innerRadius:maxRadius*options.series.pie.innerRadius,layer.globalCompositeOperation="destination-out",layer.beginPath(),layer.fillStyle=options.series.pie.stroke.color,layer.arc(0,0,innerRadius,0,Math.PI*2,!1),layer.fill(),layer.closePath(),layer.restore(),layer.save(),layer.beginPath(),layer.strokeStyle=options.series.pie.stroke.color,layer.arc(0,0,innerRadius,0,Math.PI*2,!1),layer.stroke(),layer.closePath(),layer.restore())}function isPointInPoly(poly,pt){for(var c=!1,i=-1,l=poly.length,j=l-1;++i<l;j=i)(poly[i][1]<=pt[1]&&pt[1]<poly[j][1]||poly[j][1]<=pt[1]&&pt[1]<poly[i][1])&&pt[0]<(poly[j][0]-poly[i][0])*(pt[1]-poly[i][1])/(poly[j][1]-poly[i][1])+poly[i][0]&&(c=!c);return c}function findNearbySlice(mouseX,mouseY){var slices=plot.getData(),options=plot.getOptions(),radius=options.series.pie.radius>1?options.series.pie.radius:maxRadius*options.series.pie.radius;for(var i=0;i<slices.length;++i){var s=slices[i];if(s.pie.show){ctx.save(),ctx.beginPath(),ctx.moveTo(0,0),ctx.arc(0,0,radius,s.startAngle,s.startAngle+s.angle,!1),ctx.closePath(),x=mouseX-centerLeft,y=mouseY-centerTop;if(ctx.isPointInPath){if(ctx.isPointInPath(mouseX-centerLeft,mouseY-centerTop))return ctx.restore(),{datapoint:[s.percent,s.data],dataIndex:0,series:s,seriesIndex:i}}else{p1X=radius*Math.cos(s.startAngle),p1Y=radius*Math.sin(s.startAngle),p2X=radius*Math.cos(s.startAngle+s.angle/4),p2Y=radius*Math.sin(s.startAngle+s.angle/4),p3X=radius*Math.cos(s.startAngle+s.angle/2),p3Y=radius*Math.sin(s.startAngle+s.angle/2),p4X=radius*Math.cos(s.startAngle+s.angle/1.5),p4Y=radius*Math.sin(s.startAngle+s.angle/1.5),p5X=radius*Math.cos(s.startAngle+s.angle),p5Y=radius*Math.sin(s.startAngle+s.angle),arrPoly=[[0,0],[p1X,p1Y],[p2X,p2Y],[p3X,p3Y],[p4X,p4Y],[p5X,p5Y]],arrPoint=[x,y];if(isPointInPoly(arrPoly,arrPoint))return ctx.restore(),{datapoint:[s.percent,s.data],dataIndex:0,series:s,seriesIndex:i}}ctx.restore()}}return null}function onMouseMove(e){triggerClickHoverEvent("plothover",e)}function onClick(e){triggerClickHoverEvent("plotclick",e)}function triggerClickHoverEvent(eventname,e){var offset=plot.offset(),canvasX=parseInt(e.pageX-offset.left),canvasY=parseInt(e.pageY-offset.top),item=findNearbySlice(canvasX,canvasY);if(options.grid.autoHighlight)for(var i=0;i<highlights.length;++i){var h=highlights[i];h.auto==eventname&&(!item||h.series!=item.series)&&unhighlight(h.series)}item&&highlight(item.series,eventname);var pos={pageX:e.pageX,pageY:e.pageY};target.trigger(eventname,[pos,item])}function highlight(s,auto){typeof s=="number"&&(s=series[s]);var i=indexOfHighlight(s);i==-1?(highlights.push({series:s,auto:auto}),plot.triggerRedrawOverlay()):auto||(highlights[i].auto=!1)}function unhighlight(s){s==null&&(highlights=[],plot.triggerRedrawOverlay()),typeof s=="number"&&(s=series[s]);var i=indexOfHighlight(s);i!=-1&&(highlights.splice(i,1),plot.triggerRedrawOverlay())}function indexOfHighlight(s){for(var i=0;i<highlights.length;++i){var h=highlights[i];if(h.series==s)return i}return-1}function drawOverlay(plot,octx){function drawHighlight(series){if(series.angle<0)return;octx.fillStyle="rgba(255, 255, 255, "+options.series.pie.highlight.opacity+")",octx.beginPath(),Math.abs(series.angle-Math.PI*2)>1e-9&&octx.moveTo(0,0),octx.arc(0,0,radius,series.startAngle,series.startAngle+series.angle,!1),octx.closePath(),octx.fill()}var options=plot.getOptions(),radius=options.series.pie.radius>1?options.series.pie.radius:maxRadius*options.series.pie.radius;octx.save(),octx.translate(centerLeft,centerTop),octx.scale(1,options.series.pie.tilt);for(i=0;i<highlights.length;++i)drawHighlight(highlights[i].series);drawDonutHole(octx),octx.restore()}var canvas=null,target=null,maxRadius=null,centerLeft=null,centerTop=null,total=0,redraw=!0,redrawAttempts=10,shrink=.95,legendWidth=0,processed=!1,raw=!1,highlights=[];plot.hooks.processOptions.push(checkPieEnabled),plot.hooks.bindEvents.push(bindEvents)}var options={series:{pie:{show:!1,radius:"auto",innerRadius:0,startAngle:1.5,tilt:1,offset:{top:0,left:"auto"},stroke:{color:"#FFF",width:1},label:{show:"auto",formatter:function(label,slice){return'<div style="font-size:x-small;text-align:center;padding:2px;color:'+slice.color+';">'+label+"<br/>"+Math.round(slice.percent)+"%</div>"},radius:1,background:{color:null,opacity:0},threshold:0},combine:{threshold:-1,color:null,label:"Other"},highlight:{opacity:.5}}}};$.plot.plugins.push({init:init,options:options,name:"pie",version:"1.0"})}(jQuery),$(function(){KT.common.jscroll_init($(".scroll-pane")),KT.common.jscroll_resize($(".jspPane"))}),KT.dashboard=function(){var plot=function(){KT.subscription_data&&$.plot($("#sub_graph"),KT.subscription_data,{series:{pie:{show:!0,radius:.8,stroke:{width:0},label:{show:!1}}},legend:{show:!1}})},popoutSetup=function(){var popout=$(".dashboard_popout"),dropbutton=$(".dropbutton"),currentDropbutton=null,thisPortal=null;dropbutton.hide(),dropbutton.each(function(){currentDropbutton=$(this),currentDropbutton.attr("original-title",popout.html()).tipsy({gravity:"n",fade:!0,html:!0,opacity:.9,trigger:"manual",afterShow:function(){thisPortal=currentDropbutton.parent().parent().find(".portal").children(":first").children(":first"),$(".tipsy").find("select.num_of_results").each(function(){$(this).val(thisPortal.attr("data-quantity")),$(this).unbind(),$(this).bind("change",function(){KT.dashboard.widgetReload(thisPortal,$(this).val(),"quantity"),KT.dashboard.popoutClose()})})}})}),dropbutton.live("click",function(){KT.dashboard.popoutClose(),currentDropbutton=$(this),currentDropbutton.hasClass("active")?KT.dashboard.popoutClose():($(this).addClass("active"),$(this).tipsy("show"))}),$(document).mouseup(function(e){var target=$(e.target);target.hasClass("popout")||KT.dashboard.popoutClose()})},popoutClose=function(){$(".dropbutton.active").tipsy("hide").removeClass("active").removeClass("showing")},widgetReload=function(theWidget,quantity,type){quantity===undefined&&(quantity=-1),typeof type=="string"&&(type="quantity");var div=theWidget,url=div.attr("data-url"),id=div.attr("data-id");id==="errata"&&($(document).trigger("close.tipsy"),KT.tipsy.custom.disable_details_tooltip($(".errata-info"))),$.ajax({url:url+"?"+type+"="+quantity,success:function(data){var parent=div.parent(),newDiv=null;div.replaceWith(data),newDiv=parent.children(":first"),newDiv.attr("data-url",url),parent.parent().parent().find(".dropbutton").fadeIn(),parent.find(".one-line-ellipsis").ellipsis(),KT.common.jscroll_init(parent.find(".scroll-pane")),KT.common.jscroll_resize(parent.find(".jspPane"));var proc=KT.dashboard.widget_map[id];proc&&proc()}})},register_errata=function(){$("#dashboard_errata").delegate(".collapsed","click",function(){var btn=$(this);btn.parents(".errata_item").siblings().show(),KT.common.jscroll_init($("#dashboard_errata").find(".scroll-pane")),btn.removeClass("collapsed").addClass("expanded")}),$("#dashboard_errata").delegate(".expanded","click",function(){var btn=$(this);btn.parents(".errata_item").siblings().hide(),KT.common.jscroll_init($("#dashboard_errata").find(".scroll-pane")),btn.removeClass("expanded").addClass("collapsed")})},register_sync_progress=function(){$(".progressbar").each(function(){var bar=$(this);bar.progressbar({value:parseInt(bar.attr("percentage"),10)})})},saveLayout=function(){var columns=[];$(".column").each(function(index,col){var column=[];$(col).children().each(function(widget_index,widget){var id=$(widget).find("div.widget").last().attr("id");column.push(id.match(/dashboard_(\w+)/)[1])}),columns.push(column)}),$.ajax({type:"PUT",url:KT.routes.dashboard_index_path(),data:{columns:columns}})},setupLayout=function(){$("#dashboard .column").sortable({cursor:"move",handle:"h2",opacity:.7,forcePlaceholderSize:!0,connectWith:".column",start:function(e,ui){$(".column").addClass("highlight")},stop:function(e,ui){$(".column").removeClass("highlight")},update:KT.dashboard.saveLayout})},widget_map=function(){return{subscriptions:plot,errata:register_errata,sync:register_sync_progress}};return{widget_map:widget_map(),widgetReload:widgetReload,popoutClose:popoutClose,popoutSetup:popoutSetup,saveLayout:saveLayout,setupLayout:setupLayout}}(),$(document).ready(function(){var proc=KT.dashboard.widget_map.subscriptions;proc&&proc(),KT.dashboard.popoutSetup(),KT.dashboard.setupLayout()}),$(window).load(function(){$(".loading").each(function(){KT.dashboard.widgetReload($(this))}),KT.tipsy.custom.tooltip($(".tipsy-icon.errata-info"))});